OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
TextEffect Struct Reference

Container for all information about a text effect. More...

Inheritance diagram for TextEffect:

## Public Member Functions
void | Reset ()
| Reset the text effect.
Public Member Functions inherited from ViewportSign
void | UpdatePosition (int center, int top, StringID str, StringID str_small=STR_NULL)
| Update the position of the viewport sign.
void | MarkDirty (ZoomLevel maxzoom=ZOOM_LVL_MAX) const
| Mark the sign dirty in all viewports.

## Data Fields
uint64 | params_1
| DParam parameter.
uint64 | params_2
| second DParam parameter
StringID | string_id
| String to draw for the text effect, if INVALID_STRING_ID then it's not valid.
uint8 | duration
| How long the text effect should stay, in ticks (applies only when mode == TE_RISING)
TextEffectMode | mode
| Type of text effect.
Data Fields inherited from ViewportSign
int32 | center
| The center position of the sign.
int32 | top
| The top of the sign.
uint16 | width_normal
| The width when not zoomed out (normal font)
uint16 | width_small
| The width when zoomed out (small font)

## Detailed Description

Container for all information about a text effect.

Definition at line 23 of file texteff.cpp.

The documentation for this struct was generated from the following file:

- src/texteff.cpp